Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 111277 - dev-cpp/ETL-0.04.09.ebuild (New Package)
Summary: dev-cpp/ETL-0.04.09.ebuild (New Package)
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All All
: Normal normal with 1 vote (vote)
Assignee: Default Assignee for New Packages
URL: http://www.synfig.com
Whiteboard:
Keywords: EBUILD
Depends on:
Blocks: 111278
  Show dependency tree
 
Reported: 2005-11-02 11:19 UTC by Ali Sabil
Modified: 2019-02-09 10:57 UTC (History)
10 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
ETL-0.04.06.ebuild (ETL-0.04.06.ebuild,589 bytes, text/plain)
2005-11-02 11:21 UTC, Ali Sabil
Details
ETL-0.04.07.ebuild (ETL-0.04.07.ebuild,599 bytes, application/octet-stream)
2005-11-14 09:24 UTC, Luc Stepniewski
Details
ETL-0.04.08.ebuild (ETL-0.04.08.ebuild,599 bytes, text/plain)
2006-03-01 14:32 UTC, jebas
Details
ETL-20060929.ebuild based on user subversion download (ETL-20060929.ebuild,510 bytes, text/plain)
2006-10-08 07:49 UTC, Steve L
Details
Updated ebuild for ETL svn co #229 (ETL-229.ebuild,510 bytes, text/plain)
2007-01-03 11:43 UTC, Steve L
Details
ETL-229 ebuild updated for docs (ETL-229.ebuild,769 bytes, text/plain)
2007-01-13 17:09 UTC, Steve L
Details
ETL-231 ebuild (minor adjustment) (ETL-231.ebuild,772 bytes, text/plain)
2007-01-30 00:32 UTC, Steve L
Details
ETL-231 ebuild (very minor adjustment) (ETL-231.ebuild,773 bytes, text/plain)
2007-01-30 00:44 UTC, Steve L
Details
ETL-502.ebuild (ETL-502.ebuild,794 bytes, text/plain)
2007-06-13 15:53 UTC, Steve L
Details
ETL-0.04.10.ebuild (ETL-0.04.10.ebuild,590 bytes, text/plain)
2007-10-12 08:55 UTC, Alexander Kazarin
Details
changed make install to emake install (ETL-0.04.10.ebuild,591 bytes, text/plain)
2007-11-19 20:39 UTC, Cillian de Róiste
Details
adding ~amd64 and ~x86 as a keywords (ETL-0.04.10.ebuild,569 bytes, text/plain)
2007-11-19 20:50 UTC, Cillian de Róiste
Details
bumped version, attention: the strange version is due to upstream naming problems (ETL-0.4.11.ebuild,665 bytes, text/plain)
2008-04-11 20:10 UTC, quazgar
Details
replaces the previous ebuild, correct version upstream (ETL-0.04.11.ebuild,570 bytes, text/plain)
2008-04-12 10:25 UTC, quazgar
Details
ETL-0.04.13.ebuild (ETL-0.04.13.ebuild,570 bytes, text/plain)
2009-12-22 18:51 UTC, Diego Barrios Romero
Details
Development version (ETL-9999.ebuild,789 bytes, text/plain)
2009-12-22 19:08 UTC, Diego Barrios Romero
Details
Version bump (ETL-0.04.13.ebuild,453 bytes, text/plain)
2010-02-17 21:56 UTC, Diego Barrios Romero
Details
Development version. (ETL-9999.ebuild,644 bytes, text/plain)
2010-02-17 21:57 UTC, Diego Barrios Romero
Details
ETL-9999.ebuild (ETL-9999.ebuild,589 bytes, text/plain)
2014-02-14 10:27 UTC, Jiří Helebrant
Details
ETL-0.04.17.ebuild (ETL-0.04.17.ebuild,592 bytes, text/plain)
2014-12-12 13:10 UTC, Sławek Lis
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ali Sabil 2005-11-02 11:19:50 UTC
Hi!

Please find attached ETL-0.04.06.ebuild, this ebuild is needed by Synfig an
industrial-strength vector-based 2D animation software package.

ETL is a multiplatform class and template library designed to complement and
supplement the C++ STL.

Reproducible: Always
Steps to Reproduce:
Comment 1 Ali Sabil 2005-11-02 11:21:06 UTC
Created attachment 71947 [details]
ETL-0.04.06.ebuild
Comment 2 Luc Stepniewski 2005-11-14 09:24:08 UTC
Created attachment 72881 [details]
ETL-0.04.07.ebuild
Comment 3 jebas 2006-03-01 14:32:37 UTC
Created attachment 81071 [details]
ETL-0.04.08.ebuild

Version Bump.
Comment 4 Daniel Fort 2006-03-26 10:31:23 UTC
I got this working (maybe?) on AMD64:
ekeyword ~amd64 ETL-0.04.08.ebuild

I also added:
PROVIDE="virtual/ETL"

so that it would work with the synfig-svn ebuild posted on the wiki:
http://wiki.synfig.com/Gentoo_Ebuilds

--Dan
Comment 5 Steve L 2006-10-08 07:49:10 UTC
Created attachment 99127 [details]
ETL-20060929.ebuild based on user subversion download

Hi,

  Posting updated ebuilds, based on a user-initiated subversion download. Instructions are at http://forums.gentoo.org/viewtopic-t-503491.html

  NB ebuilds don't provide virtuals. Designed to be used together.

HTH
Steve.
Comment 6 Steve L 2006-10-08 08:00:32 UTC
See *** Bug 149541 wrt SRC_URI
Comment 7 Steve L 2007-01-03 11:43:35 UTC
Created attachment 105313 [details]
Updated ebuild for ETL svn co #229

Hi

  Updated ebuild for latest synfig pkgs.

HTH,
Steve.
Comment 8 Steve L 2007-01-13 17:09:50 UTC
Created attachment 106820 [details]
ETL-229 ebuild updated for docs
Comment 9 Steve L 2007-01-30 00:32:40 UTC
Created attachment 108557 [details]
ETL-231 ebuild (minor adjustment)

Minor update to use emake, correct lack of space in brackets in `doc? (app-doc/doxygen)' (as pointed out by pmerge.)
Comment 10 Steve L 2007-01-30 00:44:47 UTC
Created attachment 108561 [details]
ETL-231 ebuild (very minor adjustment)

Missed out one (e)make.
Comment 11 Steve L 2007-06-13 15:53:28 UTC
Created attachment 121941 [details]
ETL-502.ebuild
Comment 12 Jakub Moc (RETIRED) gentoo-dev 2007-06-24 12:29:33 UTC
Don't use mirror://gentoo in SRC_URI. In sunrise-overlay now.
Comment 13 Alexander Kazarin 2007-10-12 08:55:37 UTC
Created attachment 133240 [details]
ETL-0.04.10.ebuild
Comment 14 Cillian de Róiste 2007-11-19 20:39:23 UTC
Created attachment 136438 [details]
changed make install to emake install

just changing make install to emake install and trying to get it into sunrise
Comment 15 Cillian de Róiste 2007-11-19 20:50:57 UTC
Created attachment 136441 [details]
adding ~amd64 and ~x86 as a keywords
Comment 16 Paul Wise (Debian) 2008-03-31 10:09:32 UTC
0.04.11 is out, please update (I'm from upstream).

Also, please change the URL to http://synfig.org
Comment 17 quazgar 2008-04-11 20:08:03 UTC
Compiling and usage of the new version works fine, with one nasty exception:

The current version of ETL is 0.04.11, while the download file name is called 0.4.11 and unpacks int a directory called ETL-0.4.11.

Therefore I named the ebuild ETL-0.4.11.ebuild, this seems to be the best way for now, it can be corrected as soon as there's a new, better named version available.

The upstream bug report is here:
http://sourceforge.net/tracker/index.php?func=detail&aid=1940444&group_id=144022&atid=757416
Comment 18 quazgar 2008-04-11 20:10:09 UTC
Created attachment 149432 [details]
bumped version, attention: the strange version is due to upstream naming problems

bumped version, attention: the strange version is due to upstream naming problems
Comment 19 quazgar 2008-04-12 10:25:17 UTC
Created attachment 149467 [details]
replaces the previous ebuild, correct version upstream

Thanks to Paul, there's a correctly named version upstream now, this ebuild should work as a simple replacement for the previous one.
Compiled & tested on amd64.
Comment 20 Thomas Sachau gentoo-dev 2008-07-06 23:10:27 UTC
This ebuild is already in sunrise:

https://overlays.gentoo.org/proj/sunrise/browser/reviewed/dev-cpp/ETL

I did update it in sunrise, please get yourself an account for sunrise or ask
in #gentoo-sunrise (irc.freenode.net) for future revbumps.
Comment 21 quazgar 2008-10-16 22:26:59 UTC
ETL-0.04.12 will be officially announced to be released the next days, it's available already at the old place.  Just renaming ETL-0.04.11.ebuild to ETL-0.04.12.ebuild works.
Comment 22 Paul Wise (Debian) 2008-10-23 05:03:49 UTC
ETL 0.04.12 has been released.
Comment 23 Diego Barrios Romero 2009-12-22 18:51:47 UTC
Created attachment 213787 [details]
ETL-0.04.13.ebuild

Ebuild for the last available version 0.04.13, same of the 0.04.11 posted here.
Comment 24 Diego Barrios Romero 2009-12-22 19:08:38 UTC
Created attachment 213792 [details]
Development version

Ebuild for the last development version from the git repository
Comment 25 Diego Barrios Romero 2010-02-17 21:56:41 UTC
Created attachment 220105 [details]
Version bump

Revised version thanks to the irc guys. It's added to sunrise.
Comment 26 Diego Barrios Romero 2010-02-17 21:57:51 UTC
Created attachment 220107 [details]
Development version.

Development version revised thanks to the people in the irc. Added to sunrise overlay.
Comment 27 Jiří Helebrant 2014-02-14 10:27:34 UTC
Created attachment 370386 [details]
ETL-9999.ebuild

updated old live ebuild to work with current synfig code and current portage/eclasses
Comment 28 Sławek Lis gentoo-dev 2014-12-12 13:10:24 UTC
Created attachment 391494 [details]
ETL-0.04.17.ebuild
Comment 29 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2016-06-08 16:05:52 UTC
It seems that this package is no longer in Sunrise.
Comment 30 eroen 2016-12-12 00:46:37 UTC
(In reply to Michał Górny from comment #29)
> It seems that this package is no longer in Sunrise.

However, it has been in Gentoo for a while.[1] Sadly, it is way outdated. :(

1: http://en.znurt.org/dev-cpp/ETL
Comment 31 Luis Ferreira 2019-02-09 10:57:57 UTC
>>> Installing (1 of 1) dev-cpp/ETL-0.04.15::gentoo
 * checking 71 files for package collisions
>>> Merging dev-cpp/ETL-0.04.15 to /
--- /usr/
--- /usr/include/
>>> /usr/include/ETL/
>>> /usr/include/ETL/_thread.h
>>> /usr/include/ETL/_fastangle.h
>>> /usr/include/ETL/_curve_func.h
>>> /usr/include/ETL/etl_profile.h
>>> /usr/include/ETL/_boxblur.h
>>> /usr/include/ETL/_clock_system.h
>>> /usr/include/ETL/_mutex_win32.h
>>> /usr/include/ETL/_pen.h
>>> /usr/include/ETL/status
>>> /usr/include/ETL/_clock_win32hpcount.h
>>> /usr/include/ETL/_trivial.h
>>> /usr/include/ETL/_smach.h
>>> /usr/include/ETL/rect
>>> /usr/include/ETL/_bezier.h
>>> /usr/include/ETL/smach
>>> /usr/include/ETL/_status.h
>>> /usr/include/ETL/_value.h
>>> /usr/include/ETL/spline
>>> /usr/include/ETL/fastangle
>>> /usr/include/ETL/etl_config.h
>>> /usr/include/ETL/_misc.h
>>> /usr/include/ETL/_stringf.h
>>> /usr/include/ETL/handle
>>> /usr/include/ETL/_ref_count.h
>>> /usr/include/ETL/_clock_gettimeofday.h
>>> /usr/include/ETL/_bezier_angle.h
>>> /usr/include/ETL/_rwlock.h
>>> /usr/include/ETL/stringf
>>> /usr/include/ETL/_calculus.h
>>> /usr/include/ETL/trivial
>>> /usr/include/ETL/thread
>>> /usr/include/ETL/ipc
>>> /usr/include/ETL/_mutex_pthreads.h
>>> /usr/include/ETL/angle
>>> /usr/include/ETL/_random.h
>>> /usr/include/ETL/_bspline.h
>>> /usr/include/ETL/_rect.h
>>> /usr/include/ETL/gaussian
>>> /usr/include/ETL/_clock_base.h
>>> /usr/include/ETL/_mutex_null.h
>>> /usr/include/ETL/hermite
>>> /usr/include/ETL/mutex
>>> /usr/include/ETL/surface
>>> /usr/include/ETL/pen
>>> /usr/include/ETL/_mutex_pthreads_simple.h
>>> /usr/include/ETL/_fixed.h
>>> /usr/include/ETL/random
>>> /usr/include/ETL/_condition.h
>>> /usr/include/ETL/ref_count
>>> /usr/include/ETL/_handle.h
>>> /usr/include/ETL/_angle.h
>>> /usr/include/ETL/_surface.h
>>> /usr/include/ETL/smart_ptr
>>> /usr/include/ETL/calculus
>>> /usr/include/ETL/fixed
>>> /usr/include/ETL/_smart_ptr.h
>>> /usr/include/ETL/clock
>>> /usr/include/ETL/_curve.h
>>> /usr/include/ETL/misc
>>> /usr/include/ETL/_hermite.h
>>> /usr/include/ETL/value
>>> /usr/include/ETL/boxblur
>>> /usr/include/ETL/_fastangle_tables.h
>>> /usr/include/ETL/_gaussian.h
>>> /usr/include/ETL/bezier
--- /usr/bin/
>>> /usr/bin/ETL-config
--- /usr/share/
--- /usr/share/doc/
>>> /usr/share/doc/ETL-0.04.15/
>>> /usr/share/doc/ETL-0.04.15/NEWS.bz2
>>> /usr/share/doc/ETL-0.04.15/AUTHORS.bz2
>>> /usr/share/doc/ETL-0.04.15/ChangeLog.bz2
>>> /usr/share/doc/ETL-0.04.15/README.bz2
--- /usr/lib64/
--- /usr/lib64/pkgconfig/
>>> /usr/lib64/pkgconfig/ETL.pc
>>> dev-cpp/ETL-0.04.15 merged.

>>> Recording dev-cpp/ETL::gentoo in "world" favorites file...
>>> Auto-cleaning packages...